Proteger Conteúdo (Cunhagem do Consumidor)
curl --request POST \
--url https://api.truthlocks.com/v1/consumer/mint \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"content_hash": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({content_hash: '<string>'})
};
fetch('https://api.truthlocks.com/v1/consumer/mint', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.truthlocks.com/v1/consumer/mint"
payload = { "content_hash": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.truthlocks.com/v1/consumer/mint"
payload := strings.NewReader("{\n \"content_hash\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"protection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"attestation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"verify_url": "<string>",
"share_url": "<string>",
"content_hash": "<string>",
"protected_at": "2023-11-07T05:31:56Z",
"status": "protected"
}Consumidor (B2C)
Proteger Conteúdo (Cunhagem do Consumidor)
Emita um atestado criptográfico para o conteúdo que você deseja proteger. Seu emissor pessoal e chave de assinatura são resolvidos automaticamente. Faça o hash do conteúdo no lado do cliente (SHA-256) e envie o hash com os metadados do arquivo.
POST
/
v1
/
consumer
/
mint
Proteger Conteúdo (Cunhagem do Consumidor)
curl --request POST \
--url https://api.truthlocks.com/v1/consumer/mint \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"content_hash": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({content_hash: '<string>'})
};
fetch('https://api.truthlocks.com/v1/consumer/mint', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.truthlocks.com/v1/consumer/mint"
payload = { "content_hash": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.truthlocks.com/v1/consumer/mint"
payload := strings.NewReader("{\n \"content_hash\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"protection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"attestation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"verify_url": "<string>",
"share_url": "<string>",
"content_hash": "<string>",
"protected_at": "2023-11-07T05:31:56Z",
"status": "protected"
}Emita um atestado criptográfico para um conteúdo que você deseja proteger. Seu emissor pessoal e chave de assinatura são resolvidos automaticamente — você não precisa criar um emissor ou registrar uma chave.
Faça o hash do seu conteúdo no lado do cliente com SHA-256 e envie o hash junto com os metadados do arquivo. O endpoint retorna um registro de proteção com um URL de prova compartilhável que você pode usar para demonstrar a autoria.
Os limites de taxa dependem do nível do seu plano:
A resposta inclui
| Plano | Proteções por mês |
|---|---|
| Grátis | 50 |
| Criador | 500 |
| Pro | Dependente do plano |
content_hash e protected_at para que você possa confirmar qual conteúdo foi protegido e o carimbo de data/hora exato sem fazer uma chamada de acompanhamento.
Respostas
Corpo
application/json
Resposta
Conteúdo protegido

